import * as log from './log'
import { IDispatcher } from './mqttdispatcher'
import * as processor from './processor'


var exRoute : processor.AProcessor = new processor.ExProc1('label1')

export function pluginTest1Start(dispatcher : IDispatcher) : void {
    log.info("starting plugintest1")

    dispatcher.register('IoT/test', "plugintest1", (message : any) : any => {
        log.info(`plugintest1 runs: ${message}`)
        exRoute.in(message)
        return message
    })
}